#! /usr/bin/env python
from imageviewer import Ui_MainWindow
import sys
from PyQt4.QtCore import *
from PyQt4.QtGui import *



class ImageView(QGraphicsView):
	
	def __init__(self, parent=None):
		super(ImageView, self).__init__(parent)

		self.setHorizontalScrollBarPolicy(Qt.ScrollBarAlwaysOff)
		self.setVerticalScrollBarPolicy(Qt.ScrollBarAlwaysOff)

		imgPath = '../Kings_Of_Leon_Wallpaper.jpg'
		self.origPixmap = QPixmap(imgPath)
		self.scene = QGraphicsScene()
		self.scene.addPixmap(self.origPixmap)
		self.setScene(self.scene)


	def resizeEvent(self, event):
		size = event.size()
		item =  self.items()[0]

		pixmap = self.origPixmap
		pixmap = pixmap.scaled(size, Qt.KeepAspectRatio, Qt.SmoothTransformation)

		self.centerOn(1.0,1.0)

		item.setPixmap(pixmap)

		centerPos = (size.width()-pixmap.width())/2
		item.setPos(centerPos,0)


class StartGui(QMainWindow):
	def __init__(self, parent=None):
		QWidget.__init__(self, parent)
		self.ui = Ui_MainWindow()
		self.ui.setupUi(self)


if __name__ == "__main__":
	app = QApplication(sys.argv)
	gui = StartGui()
	gui.show()
	sys.exit(app.exec_())